Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159883 - Debugging doesn't work on ppc
Summary: Debugging doesn't work on ppc
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: powerpc
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 20:18 UTC by Andrew Overholt
Modified: 2008-04-03 17:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-03 17:28:46 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2005-06-08 20:18:09 UTC
Description of problem:
CDT debugging doesn't work on ppc.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.0_fc-0.M7.8
eclipse-cdt-3.0.0_fc-0.M6.8
gcc-4.0.0-11
gdb-6.3.0.0-1.24

How reproducible:
Always

Steps to Reproduce:
1. create a new Managed Make C project (for example)
2. main.c (simple main loop with int i = 0; for (i = 0; i < 4; i++) {
printf("%d\n", i); }; return 0
3. save & wait for build
4. right-click on resulting binary and try to debug as local c/c++ application
  
Actual results:
GDB Debugger (time and date)
Unable to set temporary break point in main.
Reason:  Target request failed:  Target is not responding (timed out).
Continue?  (y/n)

In console log:
Warning: /home/overholt/workspaces/test1234/TestC/-r: No such file or directory.
info threads
No registers.

Expected results:
Switch to debug perspective and debug (like on x86).

Additional info:
This might be some weird ppc-only mis-compilation of the o.e.debug* jars (since
we currently have the CDT jars all not natively-compiled due to some
mis-compilations there).

Comment 1 Ben Konrath 2006-10-04 19:06:03 UTC
I assume this was on FC4. This needs to be re-tested on FC5 and FC6.

Comment 2 Bug Zapper 2008-04-03 16:12:26 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Andrew Overholt 2008-04-03 17:28:46 UTC
Since I don't have an up-to-date ppc Fedora box on which to test this, I'll
close it.


Note You need to log in before you can comment on or make changes to this bug.